Skip to main content

Administrators

Administrators are types of members with delegated workspace management permissions, equivalent to those held by the workspace owner.


Objects

Administrator

Extends from Member

PathJSON TypeFormatDescription
administratorboolWhether or not the member is an administrator
{
"id" : "auth0|5f15609d498a0c0013aee1b1",
"name" : "sit+prod+2@matatika.com",
"handle" : "@sit+prod+2",
"administrator" : true,
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/workspaces/79459aa4-32ba-4eac-837d-430553ab67b6/members/auth0%7C5f15609d498a0c0013aee1b1"
}
}
}

Requests

View all administrators of a workspace

GET /api/workspaces/{workspace-id}/administrators

Returns all administrators of the workspace {workspace-id}.

Prerequisites

  • The user must be a member of the workspace {workspace-id}
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/workspaces/79459aa4-32ba-4eac-837d-430553ab67b6/administrators' -i -X GET

Response

200 OK

Administrator collection with HAL links.

{
"_embedded" : {
"administrators" : [ {
"id" : "auth0|5f15609d498a0c0013aee1b1",
"name" : "sit+prod+2@matatika.com",
"handle" : "@sit+prod+2",
"administrator" : true,
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/workspaces/79459aa4-32ba-4eac-837d-430553ab67b6/members/auth0%7C5f15609d498a0c0013aee1b1"
}
}
}, {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "sit+prod@matatika.com",
"handle" : "@sit+prod",
"administrator" : true,
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/workspaces/79459aa4-32ba-4eac-837d-430553ab67b6/members/auth0%7C5eb0327cbfd7490bff55feeb"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/workspaces/79459aa4-32ba-4eac-837d-430553ab67b6/administrators"
}
}
}

Add an administrator to a workspace

PUT /api/workspaces/{workspace-id}/administrators/{profile-id}

Adds the profile {profile-id} as an administrator to the workspace {workspace-id}.

Prerequisites

  • The authenticated user profile must be the owner of the workspace {workspace-id}
  • The profile {profile-id} must be a member of the workspace {workspace-id}
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/workspaces/79459aa4-32ba-4eac-837d-430553ab67b6/administrators/auth0%7C5f15609d498a0c0013aee1b1' -i -X PUT \
-H 'Content-Type: application/json'

Response

200 OK

Administrator with HAL links.

{
"id" : "auth0|5f15609d498a0c0013aee1b1",
"name" : "sit+prod+2@matatika.com",
"handle" : "@sit+prod+2",
"administrator" : true,
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/workspaces/79459aa4-32ba-4eac-837d-430553ab67b6/members/auth0%7C5f15609d498a0c0013aee1b1"
}
}
}

Withdraw an administrator from a workspace

DELETE /api/workspaces/{workspace-id}/administrators/{profile-id}

Withdraws the profile {profile-id} as an administrator from the workspace {workspace-id}.

Prerequisites

  • The authenticated user profile must be the owner of the workspace {workspace-id}
  • The profile {profile-id} must be an administrator of the workspace {workspace-id}
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/workspaces/79459aa4-32ba-4eac-837d-430553ab67b6/administrators/auth0%7C5f15609d498a0c0013aee1b1' -i -X DELETE

Response

200 OK

Administrator with HAL links.

{
"id" : "auth0|5f15609d498a0c0013aee1b1",
"name" : "sit+prod+2@matatika.com",
"handle" : "@sit+prod+2",
"administrator" : false,
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/workspaces/79459aa4-32ba-4eac-837d-430553ab67b6/members/auth0%7C5f15609d498a0c0013aee1b1"
}
}
}